# Packmangroup: Multimedia
# Packmanpackagename: fame
# Packman: Manfred Tremmel
# Packmanpackagedesc: <p>Fast Assembly MPEG Encoder</p>
# Packmanpackagedesc_de: <p>Schneller Assembler MPEG Encoder</p>

%define ver     0.9.0
%define rel     5.pm.0

Name:           fame
Summary:        Fast Assembly MPEG Encoder
Summary(de):    Schneller Assembler MPEG Encoder
Version:        %ver
Release:        %rel
Copyright:      GPL
Group:          Applications/Graphics
URL:            http://fame.sourceforge.net

Source0:        fame-0.9.0.tar.bz2
Buildroot:      %{_tmppath}/%{name}-root
Packager:       Manfred Tremmel <Manfred.Tremmel@iiv.de>
Vendor:         Packman
Distribution:   SuSE Linux 9.3 (i586)
Requires:       libfame
BuildPreReq:    libfame-devel
# Packmandepends: libfame

%description
An MPEG encoder optimized for Pentium MMX technology.
It can capture video from various sources and create an MPEG video elementary
stream, which is then recorded in a file or sent over a network.
This is a beta release.

%description -l de
Ein MPEG Encoder, optimiert für die Pentium MMX Technologie.
Er kann Videos aus unterschiedlichen Quellen aufnehmen und einen elementaren
MPEG Video-Stream erzeugen, der dann in eine Datei gespeichert oder ins Netzwerk
übertragen wird.
Es handelt sich um eine Beta-Version.

%prep
%setup -n %{name}-%{version}

%build
# Needed for snapshot releases.
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%_prefix --libdir=%_libdir --mandir=%_mandir
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%_prefix --libdir=%_libdir --mandir=%_mandir
fi

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING CHANGES BUGS README TODO
%{_bindir}/fame
%{_mandir}/man1/*

%changelog
* Sat Nov 27 2004 Detlef Reichelt <detlef@dreichelt.de>
- rebuild for x86_64
- add CFLAGS="$RPM_OPT_FLAGS" ./configure --libdir=/usr/lib64
* Thu Mar 27 2003 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- added packman headers
* Mon Oct 07 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- added german summary and description
* Mon Oct 07 2002 Ralf Corsepius <corsepiu@faw.uni-ulm.de>
- changed manpages-directory
* Tue Aug 21 2001 Vivien Chappelier <vivien.chappelier@enst-bretagne.fr>
- updated to new release based on libfame
* Mon May 15 2000 Jan ONDREJ (SAL) <ondrejj@salstar.shadow.sk>
- added mpegnc binary
- added all modules in /usr/lib/fame/*/

